xcb_shm_create_pixmap(3)

NAME
xcb_shm_create_pixmap -

SYNOPSIS
#include <xcb/shm.h>

  Request function

xcb_void_cookie_t xcb_shm_create_pixmap(xcb_connection_t *conn, xcb_pixmap_t pid, xcb_drawable_t drawable, uint16_t width, uint16_t height, uint8_t depth, xcb_shm_seg_t shmseg, uint32_t offset);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

pid TODO: NOT YET DOCUMENTED.

drawable
    TODO: NOT YET DOCUMENTED.

width
    TODO: NOT YET DOCUMENTED.

height
    TODO: NOT YET DOCUMENTED.

depth
    TODO: NOT YET DOCUMENTED.

shmseg
    TODO: NOT YET DOCUMENTED.

offset
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_shm_create_pixmap_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from shm.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.